Table of Contents

Class: AddFoundFilesDialog | eric3/Project/AddFoundFilesDialog.py
--- | ---

### Class implementing a dialog to show the found files to the user.

The found files are displayed in a listview. Pressing the `Add All` button adds all files to the current project, the `Add Selected` button adds only the selected files and the `Cancel` button cancels the operation.

Base Classes |
--- | ---
AddFoundFilesForm

Methods |
--- | ---
__init__ getSelection handleAll handleSelected isSelected
| __init__

    __init__ (
            self,
            files,
            parent=None,
            name=None,
            modal=0,
            fl=0,
            )

### Constructor

#### Arguments

files
  list of files, that have been found for addition (QStringList)
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag to indicate a modal dialog (boolean)
fl
  window flags

| getSelection

    getSelection ( self )

### Public method to return the selected items.

#### Returns

list of selected files (QStringList)

| handleAll

    handleAll ( self )

### Private slot to handle the `Add All` button press.

#### Returns

always 1 (int)

| handleSelected

    handleSelected ( self )

### Private slot to handle the `Add Selected` button press.

#### Returns

always 2 (int)

| isSelected

    isSelected ( self,  index )

### Public method telling whether an item is selected in the listbox.

#### Arguments

index
  index of the item to check

#### Returns

boolean indicating the selection status of the item

Table of Contents

This document was automatically generated by HappyDoc version 2.1